Update brokerage firm
curl --request PATCH \
--url https://api.korint.io/brokerage-firms/{brokerageFirmId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'tenant: <tenant>' \
--data '
{
"customFields": [
{
"key": "<string>",
"value": "<string>"
}
],
"customFieldsToDelete": [
"<string>"
],
"companyInfo": {
"siret": "<string>",
"siren": "<string>",
"name": "<string>",
"location": {
"address": "<string>",
"postCode": "<string>",
"city": "<string>",
"country": "<string>"
}
}
}
'import requests
url = "https://api.korint.io/brokerage-firms/{brokerageFirmId}"
payload = {
"customFields": [
{
"key": "<string>",
"value": "<string>"
}
],
"customFieldsToDelete": ["<string>"],
"companyInfo": {
"siret": "<string>",
"siren": "<string>",
"name": "<string>",
"location": {
"address": "<string>",
"postCode": "<string>",
"city": "<string>",
"country": "<string>"
}
}
}
headers = {
"tenant": "<tenant>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
tenant: '<tenant>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
customFields: [{key: '<string>', value: '<string>'}],
customFieldsToDelete: ['<string>'],
companyInfo: {
siret: '<string>',
siren: '<string>',
name: '<string>',
location: {
address: '<string>',
postCode: '<string>',
city: '<string>',
country: '<string>'
}
}
})
};
fetch('https://api.korint.io/brokerage-firms/{brokerageFirmId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}brokerage-firms
Update brokerage firm
Updates a brokerage firm identified by brokerageFirmId. Provide only the fields that should be changed in the body. Requires edit permissions on the brokerage firm.
PATCH
/
brokerage-firms
/
{brokerageFirmId}
Update brokerage firm
Authorizations
oauth2bearerAuth
Machine-to-machine clients use the OAuth 2.0 client credentials grant. Each tenant has its own authorization server: in the token URL below, replace tenant with your tenant identifier.
Headers
Your tenant identifier. Requests without it are rejected.
Path Parameters
Brokerage firm id
Pattern:
^brokerage_firm(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$Body
application/json
Fields to update in the brokerage firm
Response
Brokerage firm updated successfully.
The response is of type object.
Was this page helpful?
⌘I

